# Class DeployTask

java.lang.Object
org.apache.tools.ant.ProjectComponent
org.apache.tools.ant.Task
org.apache.catalina.ant.BaseRedirectorHelperTask
org.apache.catalina.ant.AbstractCatalinaTask
org.apache.catalina.ant.AbstractCatalinaCommandTask
org.apache.catalina.ant.DeployTask

All Implemented Interfaces:
  `Cloneable`

public class DeployTask extends AbstractCatalinaCommandTask
Ant task that implements the `/deploy` command, supported by the Tomcat manager application.

Since:
  4.1
Author:
  Craig R. McClanahan

## Field Summary

Fields
Modifier and Type
Field
Description
`protected String`
`config`
URL of the context configuration file for this application, if any.
`protected String`
`localWar`
URL of the server local web application archive (WAR) file to be deployed.
`protected String`
`tag`
Tag to associate with this to be deployed webapp.
`protected boolean`
`update`
Update existing webapps.
`protected String`
`war`
URL of the web application archive (WAR) file to be deployed.

### Fields inherited from class org.apache.catalina.ant.AbstractCatalinaCommandTask

`path, version`

### Fields inherited from class org.apache.catalina.ant.AbstractCatalinaTask

`charset, ignoreResponseConstraint, password, url, username`

### Fields inherited from class org.apache.catalina.ant.BaseRedirectorHelperTask

`alwaysLog, failOnError, redirectErrStream, redirector, redirectorConfigured, redirectorElement, redirectOutput, redirectOutStream`

### Fields inherited from class org.apache.tools.ant.Task

`target, taskName, taskType, wrapper`

### Fields inherited from class org.apache.tools.ant.ProjectComponent

`description, location, project`

## Constructor Summary

Constructors
Constructor
Description
`DeployTask()`

## Method Summary

Modifier and Type
Method
Description
`void`
`execute()`
Execute the requested operation.
`String`
`getConfig()`
`String`
`getLocalWar()`
`String`
`getTag()`
`boolean`
`getUpdate()`
`String`
`getWar()`
`void`
`setConfig(String config)`
`void`
`setLocalWar(String localWar)`
`void`
`setTag(String tag)`
`void`
`setUpdate(boolean update)`
`void`
`setWar(String war)`

### Methods inherited from class org.apache.catalina.ant.AbstractCatalinaCommandTask

`createQueryString, getPath, getVersion, setPath, setVersion`

### Methods inherited from class org.apache.catalina.ant.AbstractCatalinaTask

`execute, execute, getCharset, getPassword, getUrl, getUsername, isIgnoreResponseConstraint, setCharset, setIgnoreResponseConstraint, setPassword, setUrl, setUsername`

### Methods inherited from class org.apache.catalina.ant.BaseRedirectorHelperTask

`addConfiguredRedirector, closeRedirector, handleErrorFlush, handleErrorOutput, handleFlush, handleOutput, handleOutput, isFailOnError, openRedirector, setAlwaysLog, setAppend, setCreateEmptyFiles, setError, setErrorProperty, setFailonerror, setLogError, setOutput, setOutputproperty`

### Methods inherited from class org.apache.tools.ant.Task

`bindToOwner, getOwningTarget, getRuntimeConfigurableWrapper, getTaskName, getTaskType, getWrapper, handleInput, init, isInvalid, log, log, log, log, maybeConfigure, perform, reconfigure, setOwningTarget, setRuntimeConfigurableWrapper, setTaskName, setTaskType`

### Methods inherited from class org.apache.tools.ant.ProjectComponent

`clone, getDescription, getLocation, getProject, setDescription, setLocation, setProject`

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### config

protected String config
URL of the context configuration file for this application, if any.

### localWar

protected String localWar
URL of the server local web application archive (WAR) file to be deployed.

### tag

protected String tag
Tag to associate with this to be deployed webapp.

### update

protected boolean update
Update existing webapps.

### war

protected String war
URL of the web application archive (WAR) file to be deployed.

## Constructor Details

### DeployTask

public DeployTask()

## Method Details

### getConfig

public String getConfig()

### setConfig

public void setConfig(String config)

### getLocalWar

public String getLocalWar()

### setLocalWar

public void setLocalWar(String localWar)

### getTag

public String getTag()

### setTag

public void setTag(String tag)

### getUpdate

public boolean getUpdate()

### setUpdate

public void setUpdate(boolean update)

### getWar

public String getWar()

### setWar

public void setWar(String war)

### execute

public void execute() throws org.apache.tools.ant.BuildException
Execute the requested operation.

Overrides:
  `execute` in class `AbstractCatalinaTask`
Throws:
  `org.apache.tools.ant.BuildException` - if an error occurs